Fetch a transfer
curl --request GET \
--url https://api.paystack.com/v1/transfers/{transferId} \
--header 'Authorization: Bearer <token>'{
"status": true,
"message": "Transfer fetched successfully",
"code": "ok",
"data": {
"id": "tfr_01EXAMPLE",
"reference": "INV-2026-001",
"status": "processing",
"retry_on_failure": true,
"customer": {
"id": "cust_seed_alice",
"type": "individual",
"name": "Alice Johnson",
"email": "alice.seed@globalstack.mock",
"tier": "tier_2",
"created_at": "2026-04-16T16:14:08.000Z",
"updated_at": "2026-04-16T16:14:08.000Z"
},
"wallet": {
"id": "wal_seed_alice_usdc",
"currency": "USDC",
"label": "USDC Wallet"
},
"beneficiary": {
"id": "ben_01KPBAP7WTDKQKW5B3R31VPNX4",
"customer_id": "cust_01HXYZABC1234567890ABCDEFG",
"name": "Alice Bank Beneficiary",
"type": "fiat",
"currency": "NGN",
"details": {
"country_code": "NG",
"network": "bank",
"account_number": "0039415616",
"provider": {
"id": "prov_01KPBAP7WTDKQKW5B3R31VPNX4",
"name": "Access Bank",
"code": "000014"
},
"account_name": "ALICE JOHNSON"
},
"metadata": {},
"status": "pending",
"created_at": "2026-04-16T16:14:08.000Z",
"updated_at": "2026-04-16T16:14:08.000Z",
"label": "Alice's salary account",
"merchant_reference": "ref_01HXYZ4K5ABCDEFGHJKLMNPQRS"
},
"amount": "5.000000",
"currency": "USDC",
"network": "base",
"metadata": {
"payout_batch": "batch_001"
},
"created_at": "2026-04-22T02:00:00.000Z",
"updated_at": "2026-04-22T02:00:00.000Z",
"transaction_hash": null,
"failure_reason": null
},
"meta": {
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}Transfers
Fetch a transfer
Fetch a single transfer by its tfr_… id. Returns 404 not_found when the transfer does not exist.
GET
/
v1
/
transfers
/
{transferId}
Fetch a transfer
curl --request GET \
--url https://api.paystack.com/v1/transfers/{transferId} \
--header 'Authorization: Bearer <token>'{
"status": true,
"message": "Transfer fetched successfully",
"code": "ok",
"data": {
"id": "tfr_01EXAMPLE",
"reference": "INV-2026-001",
"status": "processing",
"retry_on_failure": true,
"customer": {
"id": "cust_seed_alice",
"type": "individual",
"name": "Alice Johnson",
"email": "alice.seed@globalstack.mock",
"tier": "tier_2",
"created_at": "2026-04-16T16:14:08.000Z",
"updated_at": "2026-04-16T16:14:08.000Z"
},
"wallet": {
"id": "wal_seed_alice_usdc",
"currency": "USDC",
"label": "USDC Wallet"
},
"beneficiary": {
"id": "ben_01KPBAP7WTDKQKW5B3R31VPNX4",
"customer_id": "cust_01HXYZABC1234567890ABCDEFG",
"name": "Alice Bank Beneficiary",
"type": "fiat",
"currency": "NGN",
"details": {
"country_code": "NG",
"network": "bank",
"account_number": "0039415616",
"provider": {
"id": "prov_01KPBAP7WTDKQKW5B3R31VPNX4",
"name": "Access Bank",
"code": "000014"
},
"account_name": "ALICE JOHNSON"
},
"metadata": {},
"status": "pending",
"created_at": "2026-04-16T16:14:08.000Z",
"updated_at": "2026-04-16T16:14:08.000Z",
"label": "Alice's salary account",
"merchant_reference": "ref_01HXYZ4K5ABCDEFGHJKLMNPQRS"
},
"amount": "5.000000",
"currency": "USDC",
"network": "base",
"metadata": {
"payout_batch": "batch_001"
},
"created_at": "2026-04-22T02:00:00.000Z",
"updated_at": "2026-04-22T02:00:00.000Z",
"transaction_hash": null,
"failure_reason": null
},
"meta": {
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}Authorizations
API key issued during merchant onboarding.
Path Parameters
Pattern:
[^\/#\?]+?Response
Transfer fetched successfully
⌘I